// Query.h: interface for the CQuery class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _QUERY_
#define _QUERY_

class CTerm;

typedef vector<CTerm *> TTermVector; 
typedef vector<CTerm *>::iterator TTermVectorIterator; 

class CTerm
{
public:
	string name;

public:
	CTerm(){}
	
	virtual ~CTerm() {}

	virtual string Evaluate() = 0;
};

class CQuery  
{
private:
	TTermVector m_terms;

public:
	CQuery() {}
	virtual ~CQuery();

	string getValue( string sVarName );

	void addTerm( CTerm *term )
	{
		m_terms.push_back( term );
	}
};

#endif // _QUERY_
