#if !defined(AFX_SERVERCONNECTION_H__AC762DE4_C3DA_11D4_BEC2_00C0CA122103__INCLUDED_)
#define AFX_SERVERCONNECTION_H__AC762DE4_C3DA_11D4_BEC2_00C0CA122103__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ServerConnection.h : header file
//

#include "ServerMsg.h"
//#include "EventRecipient.h"
#include "ToDoClasses.h"

class CServerCommunicator;   // FIXME

/////////////////////////////////////////////////////////////////////////////
// CServerConnection command target

class CServerConnection : public CAsyncSocket
{
// Attributes
private:
    Bool m_bInitialized;    // FIXME - typ Bool zjednotit
    CServerCommunicator *m_pSrvComm; // FIXME - vymazat

    CSystemClock *m_pSystemClock;
    CServerMsg m_mSrvMsgBuff, m_mSrvMsgBuff2; // FIXME: urobit cyklicky buffer sprav

public:

// Operations
public:
    CServerConnection();
    virtual ~CServerConnection();


// Overrides
public:
    void Initialize(CSystemClock *pSysClock, CServerCommunicator *pSrvComm);
    BOOL Connect(LPCTSTR lpszHostAddress, UINT nHostPort);

    CServerMsg *ReceiveMsg(void);
    int SendMsg(CServerMsg& cMsg);

    void OnReceive2(int nErrorCode);  // FIXME

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CServerConnection)
	public:
	virtual void OnReceive(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CServerConnection)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
	SOCKADDR_IN	m_sSockAddr;
};

#include "ServerCommunicator.h"  // FIXME: pomoooc

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVERCONNECTION_H__AC762DE4_C3DA_11D4_BEC2_00C0CA122103__INCLUDED_)
