/* -*- Mode: C -*-
 */

/*
 *Copyright:

    Copyright (C) 1996-2000 Electrotechnical Laboratory. 
    	Itsuki Noda, Yasuo Kuniyoshi and Hitoshi Matsubara.
    Copyright (C) 2000, 2001 RoboCup Soccer Server Maintainance Group.
    	Patrick Riley, Tom Howard, Daniel Polani, Itsuki Noda,
	Mikhail Prokopenko, Jan Wendler 

    This file is a part of SoccerServer.

    This code is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */


#include <iostream>
#include <math.h>
using namespace std;

#include "param.h"
#include "types.h"
#include "utility.h"
#include "object.h"
#include "field.h"
#include "version.h"

Stadium Std ;

int main(int argc, char *argv[])
{
	cout << Version << endl << Copyright << endl ;

	Std.init(argc,argv) ;

	if (Std.server_param->replay[0] == '\0')
	  if (Std.server_param->synch_mode)
	    cerr << "Sorry, a synchronized mode has been removed from the simulator by DN." << endl;
	  else
	    Std.MainLoop() ;
	else
		cerr << "Sorry, replay has been removed by DN." <<endl ;

	return 0 ;

	Std.clean ();
}
