// Query.cpp: implementation of the CCondition class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ruleparser.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CQuery::~CQuery()
{
	TTermVectorIterator ti = m_terms.begin();
	TTermVectorIterator te = m_terms.end();

	for ( ; ti != te; ti++ )
	{
		CTerm* t = *ti;
		delete t;
	}

	m_terms.clear();
}

string CQuery::getValue( string sVarName )
{
	TTermVectorIterator ti = m_terms.begin();
	TTermVectorIterator te = m_terms.end();

	for ( ; ti != te; ti++ )
	{
		CTerm* t = *ti;
		if ( t->name == sVarName )
			return t->Evaluate();
	}

	return "";
}
