// Action.h: interface for the CAction class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _ACTION_
#define _ACTION_

class CAction;

typedef	vector<CAction> TActionVector;
typedef	vector<CAction>::iterator TActionVectorIterator;

class CAction : public IXMLNode
{
private:
	TRuleParameterVector m_parameters;

public:
	string name;

public:
	CAction();
	virtual ~CAction();

	virtual bool set_XML( IXMLDOMNodePtr e );
	TRuleParameterVector& parameters() { return m_parameters; };

};

#endif // _ACTION_
