// Condition.h: interface for the CCondition class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CONDITION_
#define _CONDITION_

class CCondition;

typedef vector<CCondition> TConditionVector;
typedef vector<CCondition>::iterator TConditionVectorIterator;

class CCondition : public IXMLNode  
{
public:
	string value;
	string oper;
	string variable;

public:
	CCondition();
	virtual ~CCondition();

	bool set_XML( IXMLDOMNodePtr e );
	bool evaluate( CQuery& query );
};

#endif // _CONDITION_
