// RuleEngine.h: interface for the CRules class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _RULE_ENGINE_
#define _RULE_ENGINE_

class CRuleEngine
{
private:
	TRuleVector m_rules;

public:
	CRuleEngine();
	virtual ~CRuleEngine();

	inline TRuleVector& items() { return m_rules; } 

	bool LoadXML( string sFileName );
	TActionVector* Evaluate( string sRuleName, CQuery& query );
	TRuleVector* GetRulesByName( string sName );

};

#endif // _RULE_ENGINE_
