// RuleParameter.h: interface for the CParameter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _RULE_PARAMETER_
#define _RULE_PARAMETER_

class CRuleParameter;

typedef vector<CRuleParameter> TRuleParameterVector;
typedef vector<CRuleParameter>::iterator TRuleParameterVectorIterator;

class CRuleParameter : public IXMLNode  
{
public:
	string name;
	string value;
	string type;

public:
	CRuleParameter();
	virtual ~CRuleParameter();

	virtual bool set_XML( IXMLDOMNodePtr e );
};

#endif // _RULE_PARAMETER_
