#ifndef TEAMSKILLS_H
#define TEAMSKILLS_H

#include "WorldGeometry.h"

class CLocalAgent;           // aby sme sa vyhli rekurzivnemu includovaniu
class CAgent;
class CBall;

class CTeamData
{
    int m_nPlanTime;
    C2DVector m_cPlanPos;
    double m_cPlanPosPrec;

public:
    CTeamData() { m_nPlanTime = 0; };

    void SetPlanPos(int nPlanTime, C2DVector cPlanPos, double cPlanPosPrec) { 
        m_nPlanTime = nPlanTime;  m_cPlanPos = cPlanPos;  m_cPlanPosPrec = cPlanPosPrec;
    };
    void GetPlanPos(int &nPlanTime, C2DVector &cPlanPos, double &cPlanPosPrec) { 
        nPlanTime = m_nPlanTime;  cPlanPos = m_cPlanPos;  cPlanPosPrec = m_cPlanPosPrec;
    };
};

class CTeamSkills
{
protected:
    void PlanGoTo(CLocalAgent *pa, C2DVector cPlanPos, int nPlanTime, double cPlanPosPrec);
    bool DoPlan(CLocalAgent *pa);

    void AdjustHomePosition(CLocalAgent *pa, C2DVector &cHomePos);

public:
    void Behave(CLocalAgent *pa);

    void GoalieBehave(CLocalAgent *pa);
    void OffenderBehave(CLocalAgent *pa, C2DVector homepos, bool bKickToGoal);
	void DefenseBehave(CLocalAgent *pa, C2DVector homepos);
};

#endif  // TEAMSKILLS_H
